| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2970.cpp File Reference

Go to the source code of this file.

## Functions
void | ltc2970_gpio_up (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int gpio_number)
| Set GPIO_n high. More...
void | ltc2970_gpio_down (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int gpio_number)
| Set GPIO_n low. More...
void | ltc2970_dac_disconnect (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number)
| Disconnect a DAC from its channel. More...
void | ltc2970_hard_connect_dac (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number, uint8_t dac_value_8)
| Unceremoniously connect DAC0 to the control node set DAC to a hard value no attempt to equalize voltages. More...
int | ltc2970_soft_connect_dac (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int dac_number)
| soft-connect DACn to its controlled node More...
void | ltc2970_servo_to_adc_val (LT_SMBus *smbus, uint8_t ltc2970_i2c_address, int channel_number, uint16_t code)
| Servo once to a given ADC value. More...
void | ltc2970_print_die_temp (LT_SMBus *smbus, uint8_t ltc2970_i2c_address)
| Prints die temperature on the LTC2970. More...
void | ltc2970_read_faults (LT_SMBus *smbus, uint8_t ltc2970_i2c_address)
| Read FAULT, FAULT_LA, and FAULT_LA_INDEX registers print the results. More...

## Function Documentation

## ◆ ltc2970_dac_disconnect()

void ltc2970_dac_disconnect | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number
| ) |  |

Disconnect a DAC from its channel.

Returns
  void

Definition at line 51 of file LTC2970.cpp.

## ◆ ltc2970_gpio_down()

void ltc2970_gpio_down | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | gpio_number
| ) |  |

Set GPIO_n low.

Returns
  void

Definition at line 28 of file LTC2970.cpp.

## ◆ ltc2970_gpio_up()

void ltc2970_gpio_up | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | gpio_number
| ) |  |

Set GPIO_n high.

Returns
  void

Definition at line 5 of file LTC2970.cpp.

## ◆ ltc2970_hard_connect_dac()

void ltc2970_hard_connect_dac | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number,
|  | uint8_t | dac_value_8
| ) |  |

Unceremoniously connect DAC0 to the control node set DAC to a hard value no attempt to equalize voltages.

Unceremoniously connect DAC0 to the control node no attempt to equalize voltages.

Returns
  void

Definition at line 82 of file LTC2970.cpp.

## ◆ ltc2970_print_die_temp()

void ltc2970_print_die_temp | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address
| ) |  |

Prints die temperature on the LTC2970.

Returns
  void

Definition at line 265 of file LTC2970.cpp.

## ◆ ltc2970_read_faults()

void ltc2970_read_faults | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address
| ) |  |

Read FAULT, FAULT_LA, and FAULT_LA_INDEX registers print the results.

Returns
  void

Definition at line 289 of file LTC2970.cpp.

## ◆ ltc2970_servo_to_adc_val()

void ltc2970_servo_to_adc_val | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | channel_number,
|  | uint16_t | code
| ) |  |

Servo once to a given ADC value.

Returns
  void

Definition at line 227 of file LTC2970.cpp.

## ◆ ltc2970_soft_connect_dac()

int ltc2970_soft_connect_dac | ( | LT_SMBus * | smbus,
|  | uint8_t | ltc2970_i2c_address,
|  | int | dac_number
| ) |  |

soft-connect DACn to its controlled node

Returns
  int

Definition at line 114 of file LTC2970.cpp.